import requests

class SearchAnime:

    def __init__(self, search):
        self.search = search
        self.animeSearch()


    def animeSearch(self):
        self.query = '''
        query ($search: String! $type: MediaType!) { 
        Media (search: $search type: $type) { 
            id
            title {
            romaji
            english
            }
            status
            description
            averageScore
            startDate {
                year
                month
                day
            }
            endDate {
                year
                month
                day
            }
            coverImage {
            large  
            }
            genres
            siteUrl
            episodes
            chapters
            volumes
        }
        }
        '''
        self.variables = {
            'search' : self.search,
            'type' : 'ANIME',
        }
        self.url = 'https://graphql.anilist.co'
        self.response = requests.post(self.url, json={'query': self.query, 'variables': self.variables})
    

    def getAnimeData(self):
        return self.response.json()

a1 = SearchAnime('One Punch')

print(a1.getAnimeData())