import requests

class SearchManga:
    
    def __init__(self, search):
        self.search = search
        self.response = None
        self.mangaSearch()

    def mangaSearch(self):
        self.query = '''
        query ($search: String! $type: MediaType!) { 
        Media (search: $search type: $type) { 
            id
            title {
            romaji
            english
            }
            status
            description
            averageScore
            startDate {
                year
                month
                day
            }
            endDate {
                year
                month
                day
            }
            coverImage {
            large  
            }
            genres
            siteUrl
            episodes
            chapters
            volumes
        }
        }
        '''
        self.variables = {
            'search' : self.search,
            'type' : 'MANGA',
        }
        self.url = 'https://graphql.anilist.co'
        self.response = requests.post(self.url, json={'query': self.query, 'variables': self.variables})

    def getMangaData(self):
        return self.response.json()

# p1 = SearchData('Rintsu')
# print(p1.getUserData())

p = SearchManga('One Punch')
print(p.getMangaData())