import requests

class SearchUser:
    
    def __init__(self, name):
        self.name = name
        self.response = None
        self.userSearch()

    def userSearch(self):
        self.query = '''
        query ($search: String!) { 
        User(search: $search){
            name
            avatar {
            large
            }
            about
            siteUrl
            favourites{
            anime {
                nodes{
                title {
                    english
                }
                }
            }
            manga{
                nodes{
                title{
                    english
                }
                }
            }
            }
        }
        }
        '''
        self.variables = {
            'search' : self.name,
        }
        self.url = 'https://graphql.anilist.co'
        self.response = requests.post(self.url, json={'query': self.query, 'variables': self.variables})

    def getUserData(self):
        return self.response.json()

# p1 = SearchData('Rintsu')
# print(p1.getUserData())